Subject: bug#43697: Proposal to remove centralized, proprietary javascript, social networks

From: Robert Weiner <[email-masked]>
Date: Tue, 29 Sep 2020 23:53:05 -0400

Will add this to the todo list and look into it.

On Tue, Sep 29, 2020 at 3:10 AM Jean Louis <[email-masked]> wrote:

> This may sound weird, yet due to fact that Hyperbole is free software,
> I do not think that Facebook, Instagram and Twitter should be hard
> coded as for social networks.
>
> So I propose removal of references to Facebook and Twitter, for
> privacy and social abuse reasons and non-free software, and Instagram
> for javascript reasons.
>
> I am using federated social networks with free software, free
> javascript, such as GNU Social https://gnusocial.club or Pleroma
> https://pleroma.gnusocial.club and it is impossible to customize these
> options below.
>
> > ** Social Media Hashtags and Usernames
>
> > An Action Key press on a social media hashtag or username reference at
> point
> > displays the web page associated with the reference at the associated
> > service.  References are of the form:
>
> >              [facebook|instagram|twitter][#@]<hashtag-or-username>
> >           or
> >              [fb|in|tw][#@]<hashtag-or-username>.
>
> > If the service is omitted and there is no other usage of a hash reference
> > without a prefix in the buffer, then the service defaults to the value of
> > `hibtypes-social-default-service', which is initially "twitter".
>
> > Hide Hibtypes Social Default Service:
> > ( ) facebook
> > ( ) git
> > ( ) github
> > ( ) gitlab
> > ( ) instagram
> > (*) twitter
>
>
> I use:  Editor:      GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X
> toolkit, cairo version 1.14.8, Xaw3d scroll bars)
>
>         Hyperbole:   7.1.2
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>